Skip to main content
POST /v1/account/webhooks API Key

Create webhook

Configure a webhook endpoint to receive event notifications. The account
can only have one webhook at a time - use PATCH to update an existing webhook.

Events sent to the webhook include:

  • credential.issued - When a new credential is issued
  • credential.revoked - When a credential is revoked
  • presentation.verified - When a presentation is verified (verifiers only)

Parameters

Name Location Type Description
X-API-Key * header string API key for authentication

* Required parameter

Request Body

application/json

Parameters for configuring a webhook

url * string (uri)

Webhook endpoint URL

Example: https://example.com/webhooks/credentials

Response

201 Webhook created

Content-Type: application/json

success boolean
data object

A webhook endpoint for receiving event notifications

id * string

Webhook identifier (currently always 'primary')

Example: primary

url * string (uri)

The webhook endpoint URL

Example: https://example.com/webhook

configured * boolean

Whether the webhook is configured

Example: true

created_at string (date-time) nullable

When the webhook was created (not currently tracked)

Example: 2025-01-15T09:00:00Z

updated_at string (date-time) nullable

When the webhook was last updated (not currently tracked)

Example: 2025-02-20T14:30:00Z

Code Examples

import os
from aho_sdk import AhoSdk

client = AhoSdk.account(api_key=os.environ["AHO_API_KEY"])

result = client.webhooks.create(
    body={
        "url": "https://example.com/webhooks/credentials"
    }
)

Try It

Log in to test this endpoint directly from the documentation.

Log in